<template>
  <div class="menusAuth-cons">
    <a-tabs @change="tabChange" type="card">
      <a-tab-pane tab="单店菜单设置" key="1">
        <menusAuth types="dd"></menusAuth>
      </a-tab-pane>
      <a-tab-pane tab="连锁店菜单设置" key="2">
        <menusAuth types="ls"></menusAuth>
      </a-tab-pane>
    </a-tabs>
  </div>
</template>

<script>
  import menusAuth from './menusAuth.vue'
  export default {
    name: 'menusAuthTab',
    components: {
      menusAuth
    },
    data() {
      return {}
    },
    methods: {
      tabChange(v) {
        console.log(v)
      },
    },
    beforeRouteEnter (to, from, next) {
      next(vm => {
      })
    },
  }
</script>

<style>
  .menusAuth-cons{
    background: #fff;
    padding: 10px;
  }
</style>
